CANNASTAT(1)

NAME
cannastat - Display information about the Kana-Kanji conversion server

SYNOPSIS
cannastat [{-cs|-cannaserver} canna-server ] [-p] [-t] [-a]

DESCRIPTION

cannastat(1) displays information about the Kana-Kanji conversion server cannaserver(1M). The information includes the following: the name of the machine on which the connected server exists, the cannaserver(1M)'s version, the number of clients connecting to the server, the name of the user connecting to the server, its user number, the socket number, the number of contexts, the time of connection to the server, the time of use of the server, the idle time, the name of the host under which the client exists, and the frequency of using each protocol.

If cannastat(1) is called without options, the following is displayed:

  Connected to machine1
  Canna Server (Ver. 2.1)
  Total connecting clients 1
  USER_NAME    ID   NO U_CX          C_TIME   U_TIME   I_TIME  HOST_NAME
  kon           5    0    4  Tue 21  8:49am       11    12:48   machine2

The items represent the following:

USER_NAME
    User name

ID  Socket number

NO  User number

U_CX
    Context number

C_TIME
    Time of connection (h:min)

U_TIME
    User time (h:min:s)

I_TIME
    Idle time (h:min)

HOST_NAME
    Name of the host under which the client exists

OPTIONS

-cs canna-server (or -cannaserver canna-server)
    Specifies the Kana-Kanji conversion server.

-p  Displays the frequency of using the protocol.

-t  Displays information about the user who started cannastat. It includes the frequency of using the protocol, as well as ID, NO, U_CX, C_TIME, U_TIME, I_TIME, and HOST_NAME.

-a  Displays all information about all users.

FILES

/usr/local/lib/canna/cannahost
    Name of the host under which cannaserver is in operation.

SEE ALSO

cannaserver(1M), cannakill(1M), cannacheck(1)

ENVIRONMENT

CANNAHOST
    Specifies the name of the host under which cannaserver(1M) is in operation.